/* 
 * This CSS file contains customized styles for page-common component: header, side menu, etc.,.
 * This file must be loaded after bootstrap.min.css.
*/
:root {
    --color-background-beige: #F6F4EC;
    --color-orange-dark: #E35304;
    --color-main: #37457B;
    --color-light-blue: #EFF8F9;
    --color-dark-blue: #39467D;
    --color-blue: #5ACBE6;
    --color-shadow-blue: #91C8D4;
    --color-light-grayish-orange: #FAF0E5;
    --color-pixel-cream: #F6D081;
    --color-subtitle: #39467D;
    scroll-behavior: auto;
}
/* Import font for key visual title */
@font-face {
  font-family: "TekitouPoem";
  src: url("../fonts/TekitouPoem.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
body {
    margin: 0;
    font-family: "Noto Sans JP", sans-serif;
    font-optical-sizing: auto;
    color: var(--color-main);
}
a {
    text-decoration: none;
    color: var(--color-main);
}
ul {
    list-style: none;
}
button {
    -webkit-appearance: none;
    appearance: none;
    background: none;
    border: none;
}
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6, p {
    margin-bottom: 0;
}
.bg-beige {
    background-color: var(--color-background-beige);
}
.bg-light-blue {
    background-color: var(--color-light-blue);
}
.bg-white {
    background-color: #FFFFFF;
}
.text-orange {
    color: var(--color-orange-dark);
}
.header {
    position: absolute;
    z-index: 1;
    top: 0;
}
.kv-wrapper {
    background: linear-gradient(90deg, #FFFFFF, #F6F4EC);
}
.kv-container {
    position: relative;
    height: 526px;
}
.kv-inner {
    position: absolute;
    bottom: -5vw;
    right: 0;
    height: 100%;
}
.kv-title {
    width: 50%;
    padding-top: 10vw;
    padding-left: 5vw;
}
.kv-title .kv-heading {
    font-family: "TekitouPoem"; 
    text-wrap: nowrap;
    font-size: 2.6875rem;
    font-weight: bold;
}
.kv-title .kv-heading .text-block {
    position: relative;
    display: flex;
    margin-top: 16px;
    font-size: 2.75rem;
}
.kv-title .kv-heading .text-attached {
    position: absolute;
    display: block;
    font-size: 1.6875rem;
    margin-top: 12px;
    top: 100%;
}
.kv-title img {
    object-fit: contain;
    width: 100%;
}
.kv-character {
    width: 50%;
    margin-top: 2rem;
}
.fixed-banner {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100vw;
    z-index: 500;
    background-color: rgba(246, 244, 236, .85);
    box-shadow: 0 -3px 6px rgba(0, 0, 0, .1);
    transition: 1.0s;
}
.fixed-banner.hide {
    transform: translateY(86px);
}
.fixed-banner .fixed-menu {
    display: flex;
    height: 86px;
    justify-content: center;
    align-items: center;
    font-size: 13px;
}
.light-orange-gradient-btn {
    background: linear-gradient(90deg, #F6D081, #FFB657);
}
.round-square-btn {
    display: inline-flex;
    border-radius: 15px;
    height: 56px;
    justify-content: center;
    align-items: center;
    padding: 0 2rem;
    color: var(--color-main);
    text-decoration: none;
    font-weight: bold;
}
.side-menu {
    width: 15vw; 
    max-width: 206px;
    min-width: 134px;
    min-height: 100vh; 
    position: fixed; 
    right: 0; 
    top: 0;
    z-index: 2;
    box-shadow: rgba(93, 93, 93, 0.18) 3px 0px 16px;;
}
.side-menu .icon, .side-menu .icon-active {
    height: 35px;
}
.side-menu .sidemenu-button {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    align-items: center;
    text-decoration: none;
}
.side-menu .sidemenu-link {
    display: flex;
    flex-direction: column;
    padding-top: 0.875rem;
    padding-bottom: 1rem;
    align-items: center;
    text-decoration: none;
    width: 80%;
    border-radius: 10px;
    justify-content: center;
    margin-top: 2.5rem;
    font-size: 13px;
}
.side-menu .sidemenu-button .icon {
    display: block;
}
.side-menu .sidemenu-button .icon-active {
    display: none;
}
.side-menu .sidemenu-button:not(:last-child) {
    border-bottom: solid 1px #A2D3D2;
}
.side-menu .sidemenu-button.active, .side-menu .sidemenu-button.is-current, .side-menu .sidemenu-button:hover {
    background-color: var(--color-dark-blue);
    color: #FFFFFF;
}
.side-menu .sidemenu-button.active .icon, .side-menu .sidemenu-button.is-current .icon, .side-menu .sidemenu-button:hover .icon {
    display: none;
}
.side-menu .sidemenu-button.active .icon-active, .side-menu .sidemenu-button.is-current .icon-active, .side-menu .sidemenu-button:hover .icon-active {
    display: block;
}
.side-menu .sidemenu-button span {
    color: var(--color-main);
    font-size: 13px;
}
.side-menu .sidemenu-button.active span, .side-menu .sidemenu-button.is-current span, .side-menu .sidemenu-button:hover span {
    color: #FFFFFF;
}
.orange-gradient-btn {
    background: linear-gradient(90deg, #E35304, #F88D01);
}
.g-navi {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: clamp(calc(100vw - 206px),85vw,calc(100vw - 134px));
    margin-right: clamp(134px, 15vw, 206px);
    z-index: 1;
    background-color: var(--color-background-beige);
}
.g-navi.hide {
    display: none;
}
.g-navi .navi-header {
    --bs-gutter-x: 1.5rem;
    padding-left: var(--bs-gutter-x);
    padding-right: 5%;
}
.g-navi .navi-section .title {
    font-weight: bold;
    font-size: 1.875rem;
    margin-bottom: 1.25rem;
}
.g-navi .navi-section.hide {
    display: none;
}
.g-navi .navi-section .navi-links-panel.collapse, .g-navi .navi-section .navi-links-panel.collapse:not(.show) {
    display: block;
}
.g-navi .navi-section .navi-main-link {
    display: flex;
    align-items: center;
    background-color: #FFFFFF;
    border-radius: 10px;
    height: 3.5rem;
    font-size: 1.125rem;
    font-weight: 600;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    margin-bottom: 0.75rem;
    position: relative;
}
.g-navi .navi-section .navi-main-link::after {
    content: "";
    position: absolute;
    right: 1rem;
    top: 1.8rem;
    transform: translateY(-50%) rotate(45deg);
    width: 0.75rem;
    height: 0.75rem;
    border-right: 3px solid var(--color-orange-dark);
    border-top: 3px solid var(--color-orange-dark);
    border-radius: 2px;
}
.g-navi .navi-section .navi-main-link .link-label {
    background-color: var(--color-dark-blue);
    color: #FFFFFF;
    font-size: 0.75rem;
    width: 120px;
    border-radius: 1rem;
    padding: 0.25rem 0;
    text-align: center;
    margin-right: 1rem;
}
.g-navi .navi-section .navi-main-link .link-label:empty {
    display: none;
}
.g-navi .navi-section .navi-links-grid-3 {
    display: grid;
    grid-template-rows: repeat(3, auto);
    grid-auto-flow: column;
    gap: 0.25rem 1rem;
}
.g-navi .navi-section .navi-links-row {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 0.25rem 4rem;
    white-space: nowrap;
}
.g-navi .navi-section .navi-sub-link {
    position: relative;
    font-size: 1rem;
}
.g-navi .navi-section .navi-sub-link::before {
    content: "・";
    position: absolute;
    color: var(--color-orange-dark);
    left: -1rem;
}
.g-navi .navi-close-btn {
    width: 40px;
    height: 30px;
    position: relative;
}
.g-navi .navi-close-btn ._border {
    width: 38px;
    height: 4px;
    border-radius: 4px;
    background-color: var(--color-orange-dark);
    position: absolute;
    left: 4px;
    transition: .2s;
    border: none;
}
.g-navi .navi-close-btn ._border.top {
    transform: rotate(35deg);
}
.g-navi .navi-close-btn ._border.btm {
    transform: rotate(-35deg);
}
.g-navi .navi-close-btn::after {
    position: absolute;
}
.main-content { 
    margin-right: clamp(134px, 15vw, 206px);;
}
.content-container {
    padding-left: 5%;
    padding-right: 5%;
}

.footer-menu {
    position: relative;
    box-shadow: 0 -7px 16px rgba(93,93,93,0.18);
    z-index: 2;
}
.footer-menu .footer-navs {
    display: flex;
}
.footer-menu .footer-navs .site-logo {
    margin-right: 1.5rem;
}
.footer-menu .footer-navs .site-logo img {
    height: 70px;
}
.footer-menu .footer-navs .footer-navlink {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
}
.footer-menu .footer-navs .footer-navlink .round-square-btn {
    width: 100%;
}
.footer-menu .footer-body {
    display: grid;
    grid-template-columns: 0.6fr 0.75fr 1fr auto 1fr;
    gap: 50px;
}
.footer-menu .footer-body .main-link {
    position: relative;
    font-weight: bold;
    padding-left: 0.5rem;
}
.footer-menu .footer-body .main-link::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0.2em;
    bottom: 0.2em;
    width: 3px;
    background: var(--color-orange-dark);
    border-radius: 1.5px;
}
.footer-menu .footer-body .sub-link-ul {
    padding-left: 1.5rem;
}
.footer-menu .footer-body .sub-link-ul.collapse:not(.show) {
    display: block;
}
.footer-menu .footer-body .sub-link {
    display: inline-block;
    position: relative;
    font-size: 0.9rem;
    font-weight: 500;
    margin-bottom: 1rem;
}
.footer-menu .footer-body .sub-link::before {
    content: "";
    position: absolute;
    left: -1rem;
    top: 0.75rem;
    transform: translateY(-50%) rotate(45deg);
    width: 0.5rem;
    height: 0.5rem;
    border-right: 2px solid var(--color-blue);
    border-top: 2px solid var(--color-blue);
    border-radius: 1px;
}
.footer-menu .back-fab {
    position: fixed;
    width: 45px;
    height: 45px;
    z-index: 1;
    bottom: calc(86px + 2rem);
    right: calc(clamp(134px, 15vw, 206px) / 2);
    transform: translateX(50%);
}
.footer-bottom .footer-logo {
    display: flex;
    max-height: 45px;
}
.footer-bottom .footer-logo .footer-logo-text {
    max-width: 200px;
}
.nav-arrow { 
    color: var(--color-orange-dark); 
}
.list-inline-item:not(:last-child)::after { 
    content: " | "; 
}
.rounded-btn {
    border-radius: 30px; 
    padding: 10px 30px; 
}
.row-cols-num > * {
    flex: 0 0 auto;
    width: 33.3333333333%;
}
.supervisor-info .supervisor-title {
    font-size: 1rem;
    border-bottom: solid 1px var(--color-main);
    padding-bottom: 0.5rem;
}
.supervisor-info .supervisor-title .name {
    font-size: 1.25rem;
}
.supervisor-info .supervisor-description {
    font-size: 0.9rem;
    line-height: 1.8;
    margin-bottom: 0;
}
.supervisor-info .link {
    font-weight: 500;
}
.supervisor-info .link a {
    display: inline-block;
    position: relative;
    padding-right: 0.5rem;
}
.supervisor-info .link a::after {
    content: "";
    position: absolute;
    right: 0;
    top: 0.7rem;
    transform: translateY(-50%) rotate(45deg);
    width: 0.375rem;
    height: 0.375rem;
    border-right: 2px solid var(--color-orange-dark);
    border-top: 2px solid var(--color-orange-dark);
    border-radius: 1px;
}
.breadcrumb-container {
    overflow-x: scroll;
    scrollbar-width: none;
}
.content-container .breadcrumb {
    font-size: 0.8rem;    
    width: max-content;
}
.breadcrumb-item+.breadcrumb-item {
    padding-left: 0.25rem;
}
.breadcrumb-item+.breadcrumb-item::before {
    content: ">";
    color: var(--color-main);
    padding-right: 0.25rem;
}
.breadcrumb img {
    height: 18px;
}
.breadcrumb-item a {
    display: inline-flex;
    color: var(--color-main);
    text-decoration: none;
    height: 18px;
}
.breadcrumb-item.active {
    color: var(--color-orange-dark);
}
.breadcrumb-item.active a {
    color: var(--color-orange-dark);
}
@media (max-width: 767.98px) {
    html {
        scroll-padding-top: 75px;
    }
    .header {
        position: fixed; 
        z-index: 5;
        width: auto;
    }
    .kv-container {
        height: 570px;
        margin-top: 75px;
    }
    .kv-container .kv-background {
        object-position: 75%;
    }
    .kv-inner {
        flex-direction: column;
        justify-content: end;
        top: 0;
        max-height: 100%;
        width: 100%;
    }
    .kv-title {
        width: 100%;
        height: 100%;
        max-height: 30%;
        padding: 5vw 5vw 0 5vw;
    }
    .kv-title .kv-heading {
        height: 100%;
        font-size: 2.125rem;
    }
    .kv-title .kv-heading .text-block {
        flex-direction: column;
        margin-top: 4px;
        gap: 4px;
        font-size: 2.3125rem;
    }
    .kv-title .kv-heading .text-attached {
        position: static;
        font-size: 1.4325rem;
        margin-top: auto;
    }
    .kv-title img {
        height: 100%;
    }
    .kv-character {
        max-height: 70%;
        width: 100%;
        margin-top: 0;
        margin-left: 6vw;
    }
    .side-menu {
        position: fixed; 
        width: 100vw; 
        max-width: none;
        min-height: auto;
        right: auto;
        height: 75px;
        z-index: 4;
    }
    .side-menu .navi-btn-sp {
        display: flex;
        flex-direction: column;
        align-items: center;
        color: var(--color-orange-dark);
        font-size: 0.75rem;
        font-weight: bold;
    }
    .side-menu .gnavi-toggle {
        width: 40px;
        height: 40px;
        position: relative;
        margin-right: 4px;
    }
    .side-menu .gnavi-toggle ._border {
        width: 38px;
        height: 4px;
        border-radius: 4px;
        background-color: var(--color-orange-dark);
        position: absolute;
        left: 4px;
        transition: .2s;
        border: none;
    }
    .side-menu .gnavi-toggle ._border.top {
        top: 0;
    }
    .side-menu .gnavi-toggle ._border.mid {
        top: 12px;
    }
    .side-menu .gnavi-toggle ._border.btm {
        top: 24px;
    }
    .side-menu .gnavi-toggle.active ._border.top {
        width: 43px;
        top: 15px;
        transform: rotate(35deg);
    }
    .side-menu .gnavi-toggle.active ._border.mid {
        opacity: 0;
    }
    .side-menu .gnavi-toggle.active ._border.btm {
        width: 43px;
        top: 15px;
        transform: rotate(-35deg);
    }
    .g-navi {
        width: 100vw;
        margin-right: 0;
        z-index: 3;
    }
    .g-navi .navi-header {
        margin-bottom: 0!important;
    }
    .g-navi .navi-container {
        height: calc(100vh - 100px);
        overflow: scroll;
        padding: 0;
    }
    .g-navi .navi-container .link-item .round-square-btn {
        position: relative;
        min-height: 80px;
    }
    .g-navi .navi-container .link-item .round-square-btn img {
        position: absolute;
        left: 3rem;
    }
    .g-navi .navi-section {
        border-top: solid 2px #FFFFFF;
    }
    .g-navi .navi-section .title {
        font-size: 1.25rem;
        margin-bottom: 0;
        position: relative;
    }
    .g-navi .navi-section .title a {
        display: block;
        padding: 1.25rem 0 1.25rem 1.875rem;
    }
    .g-navi .navi-section .title.has-sub-link::before, .g-navi .navi-section .title.has-sub-link::after {
        content: "";
        position: absolute;
        top: 2rem;
        right: 1.5rem;
        width: 1rem;
        height: 3px;
        background-color: var(--color-orange-dark);
        border-radius: 2px;
    }
    .g-navi .navi-section .title.has-sub-link::after {
        -webkit-transform: rotate(90deg);
	    transform: rotate(90deg);
    }
    .g-navi .navi-section .title.has-sub-link.is-open::after {
        height: 0;
    }
    .g-navi .navi-section .navi-links-panel.collapse:not(.show) {
        display: none;
    }
    .g-navi .navi-section .navi-main-link {
        flex-direction: column;
        align-items: start;
        border-radius: 0;
        padding: 0.875rem 3rem;
        height: auto;
        margin-bottom: 2px;
    }
    .g-navi .navi-section .navi-main-link:last-of-type {
        margin-bottom: 0;
    }
    .g-navi .navi-section .navi-main-link::after {
        border: none;
    }
    .g-navi .navi-section .navi-main-link .link-label {
        margin-bottom: 0.3rem;
    }
    .g-navi .navi-section .navi-main-link.has-sub-link::after {
        top: 50%;
        right: 1.5rem;
        transform: translateY(-50%) rotate(135deg);
        border-right: 3px solid var(--color-orange-dark);
        border-top: 3px solid var(--color-orange-dark);
        border-radius: 2px;
    }
    .g-navi .navi-section .navi-sub-links {
        display: flex;
        flex-direction: column;
        align-items: start;
        padding: 0;
        background-color: var(--color-light-blue);
        margin-bottom: 2px;
    }
    .g-navi .navi-section .navi-sub-links li {
        display: block;
        width: 100%;
        box-shadow: 0 2px 0 var(--color-shadow-blue);
    }
    .g-navi .navi-section .navi-sub-link {
        display: block;
        padding: 1rem 3rem;
        text-wrap: auto;
    }
    .g-navi .navi-section .navi-sub-link::before {
        content: "";
    }
    .main-content { 
        margin-right: 0; 
    }
    .row-cols-num > * {
        flex: 0 0 auto;
        width: 100%;   
    }
    .content-container .breadcrumb {
        padding-left: 0;
    }
    .supervisor-info .supervisor-title {
        line-height: 1.8;
    }
    .supervisor-info .supervisor-title .name {
        font-size: 1.5rem;
    }
    .supervisor-info .supervisor-description {
        font-size: 1rem;
    }
    .supervisor-info .link {
        margin-top: 3rem;
    }
    .footer-menu .content-container {
        padding: 0;
    }
    .footer-menu .footer-navs {
        flex-direction: column;
        padding-left: 5%;
        padding-right: 5%;
    }
    .footer-menu .footer-navs .footer-navlink {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto;
    }
    .footer-menu .footer-navs .footer-navlink .item {
        grid-column: 1 / span 2;
        height: 80px;
    }
    /* Use the following CSS when add the new button to the footer */
    /* .footer-menu .footer-navs .footer-navlink .item:first-of-type {
        grid-column: 1 / span 2;
    } */
    .footer-menu .footer-navs .footer-navlink .round-square-btn {
        position: relative;
        display: flex;
        height: 100%!important;
        text-align: center;
    }
    .footer-menu .footer-navs .footer-navlink .round-square-btn img {
        position: absolute;
        left: 4rem;
    }
    .footer-menu .footer-navs .site-logo {
        margin-right: 0;
        margin-bottom: 2rem;
        text-align: center;
    }
    .footer-menu .footer-navs .site-logo img {
        height: 95px;
    }
    .footer-menu .footer-body {
        display: block;
    }
    .footer-menu .footer-body .footer-item {
        margin-bottom: 0!important;
    }
    .footer-menu .footer-body .main-link {
        font-size: 1.25rem;
        padding: 1.25rem 5%;
        border-top: 2px solid #FFF;
        margin-bottom: 0!important;
    }
    .footer-menu .footer-body .main-link.has-sub-link {
        position: relative;
    }
    .footer-menu .footer-body .main-link.has-sub-link::before, .footer-menu .footer-body .main-link.has-sub-link::after {
        content: "";
        position: absolute;
        top: 2rem;
        left: auto;
        right: 1.5rem;
        width: 1rem;
        height: 3px;
        background-color: var(--color-orange-dark);
        border-radius: 2px;
    }
    .footer-menu .footer-body .main-link.has-sub-link::after {
        -webkit-transform: rotate(90deg);
        transform: rotate(90deg);
    }
    .footer-menu .footer-body .main-link.has-sub-link.is-open::after {
        height: 0;
    }
    .footer-menu .footer-body .main-link::before {
        width: 0;
    }
    .footer-menu .footer-body .sub-link-ul {
        padding-left: 0;
        margin-bottom: 0;
    }
    .footer-menu .footer-body .sub-link-ul.collapse:not(.show) {
        display: none;
    }
    .footer-menu .footer-body .sub-link-li {
        margin-bottom: 2px;
    }
    .footer-menu .footer-body .sub-link-li:last-of-type {
        margin-bottom: 0;
    }
    .footer-menu .footer-body .sub-link {
        display: flex;
        align-items: center;
        width: 100%;
        background-color: #FFFFFF;
        margin-bottom: 0;
        height: 75px;
        font-size: 1.2rem;
        padding: 0 5% 0 10%;
    }
    .footer-menu .footer-body .sub-link::before {
        border-width: 0;
    }
    .footer-bottom {
        flex-direction: column;
        max-height: none;
        align-items: center;
    }
    .footer-menu .back-fab {
        height: 54px;
        width: 54px;
        right: 1.25rem;
        bottom: 7rem;
        transform: none;
    }
    .footer-bottom .footer-logo {
        width: 80%;
        flex-direction: column;
        max-height: none;
        gap: 1.125rem;
        align-items: center;
        margin-bottom: 1.875rem;
    }
    .footer-bottom .footer-logo .footer-logo-img {
        width: 75%;
    }
    .footer-bottom .footer-logo .footer-logo-text {
        max-width: 100%;
    }
    .footer-bottom .footer-relations {
        display: flex;
        flex-direction: column;
        padding: 0 10vw;
        gap: 0.75rem;
    }
    .footer-bottom .footer-relations a {
        padding: 0;
    }
}
@media (min-width: 768px) and (max-width: 1079.98px) {
    .row-cols-num > * {
        flex: 0 0 auto;
        width: 50%;   
    }
    .kv-container {
        height: 439px;
    }
    .kv-container .kv-background {
        object-position: 90%;
    }
    .kv-inner {
        bottom: -10vw;
    }
    .kv-title {
        width: 50%;
        padding-top: 0;
        padding-left: 5%;
    }
    .kv-title .kv-heading {
        font-size: 2.125rem;
    }
    .kv-title .kv-heading .text-block {
        flex-direction: column;
        margin-top: 8px;
        gap: 8px;
        font-size: 2.25rem;
    }
    .kv-title .kv-heading .text-attached {
        position: static;
        font-size: 1.3125rem;
        margin-top: auto;
    }
    .kv-title img {
        max-width: 400px;
        width: 125%;
    }
    .kv-character {
        width: 50%;
        margin-top: 0;
        margin-left: -3rem;
    }
    .kv-character img {
        max-width: 450px;
        width: 125%;
    }
    .footer-menu .footer-body {
        grid-template-columns: 0.6fr 0.8fr 1fr;
        gap: 40px;
    }
    .footer-bottom .footer-logo .footer-logo-img {
        width: 110px;
        object-fit: contain;
    }
    .footer-bottom .footer-logo .footer-logo-text {
        max-width: 160px;
        padding: 0 1rem!important;
    }
    .footer-menu .footer-body .main-link {
        font-size: 14px;
    }
    .footer-menu .footer-body .sub-link {
        font-size: 13px;
    }
}
@media (min-width: 1440px) and (max-width: 1919.98px) {
    .kv-inner {
        right: calc((100vw - 206px - 1320px)/2);
    }
    .kv-title {
        padding-top: 5vw;
    }
}
@media (min-width: 1920px) {
    .row-cols-num > * {
        flex: 0 0 auto;
        width: 25%;
    }
    .kv-inner {
        right: calc((100vw - 206px - 1320px)/2);
    }
    .kv-title {
        padding-top: 5vw;
    }
    .footer-menu .content-container {
        padding-left: 16%;
        padding-right: 16%;
    }
}